glab(1)

NAME
glab-runner-controller-update - Update a runner controller. (EXPERIMENTAL)

SYNOPSIS
glab runner-controller update [flags]

DESCRIPTION
Update a runner controller. (EXPERIMENTAL)

OPTIONS
-d, --description=""
    Description of the runner controller.

-F, --output="text"
    Format output as: text, json.

--state=""
    State of the runner controller: disabled, enabled, dry_run.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Update a runner controller's description
    glab runner-controller update 42 --description "Updated description"
    # Update a runner controller's state
    glab runner-controller update 42 --state enabled
    # Update both description and state
    glab runner-controller update 42 --description "Production" --state enabled

SEE ALSO
glab-runner-controller(1)